// Here you write some common stuff

.nlb-processes-link {
  color: #28007d;
}

.nlb-processes-fontSize {
  font-size: 19px !important;
  color: #45494f !important;
}

.nlb-processes-text-centered {
  position: center !important;
  text-align: center !important;
  font-size: 19px !important;
  color: #45494f !important;
  font-family: 'Istok Web' !important;
}

.nlb-processes-fillParent {
  width: 100% !important;
  padding-right: 0px !important;
}

.nlb-processes-my-image {
  height: 100px;
  padding-top: 20px;
  width: 100px;
}

.nlb-processes-display-block {
  display: block !important;
}

.nlb-processes-display-grid {
  display: grid !important;
}

.nlb-processes-display-inline-flex {
  display: inline-flex !important;
}

.nlb-processes-border-1 {
  border-left: 2px solid #c5c9ce;
}

.nlb-processes-p-0 {
  padding: 0 !important;
}

.nlb-processes-p-10 {
  padding: 10px !important;
}

.nlb-processes-darkerColor {
  color: #000000;
}

.nlb-processes-info-bottom {
  top: 14px;
  color: #8b959e !important;
  font-size: 16px !important;
  font-weight: 500 !important;
}

.nlb-processes-small-darkRed {
  color: #e2535c;
  font-family: 'Roboto';
  font-size: 14px !important;
  letter-spacing: 0;
  line-height: 16px;
}

.nlb-processes-card-container {
  position: relative;
  text-align: center;
  color: white;
  height: 250px;
  padding-top: 20px;
  width: 250px;
}

.nlb-processes-my-card-image {
  height: 250px;
  width: 250px;
}

.nlb-processes-card-text-centered {
  position: absolute;
  top: 60%;
  left: 4%;
}

.nlb-processes-align-right-widget-buttons {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-end;
  align-items: center;
}

.nlb-processes-align-items-vertically {
  display: flex;
  align-items: center;
}

.nlb-processes-move-right {
  margin-left: auto;
  order: 2;
}

.nlb-processes-text-underline {
  text-decoration: underline;
}

.nlb-processes-color-black {
  color: black;
}

.nlb-processes-font-20 {
  font-size: 20px;
}

.nlb-processes-font-26 {
  font-size: 26px;
}

.nlb-processes-font-16 {
  font-size: 16px;
}

.nlb-processes-font-18 {
  font-size: 18px;
}

.nlb-processes-vertical-middle {
  vertical-align: bottom;
}

.nlb-processes-indigo-blue-color {
  color: $nlbIndigoColor;
}
.nlb-processes-green-color {
  color: $nlbGreenColor;
}
.nlb-processes-yellow-color {
  color: $nlbYellowColor;
}

.nlb-processes-red-color {
  color: $nlbRedColor;
}

// progress bar nlb color

.bb-progress-bar .progress-bar {
  background: $color-secondary !important;
}

.progress {
  background-color: #e9ecef !important;
}

// TODO: PROVJERI

/*.input-group, .e-invoice-list-filters-search-input {
  border: none !important;
}

.input-group input, .e-invoice-list-filters-search-input input {
  border: 1px solid $color-neutral-grey !important;
  border-radius: 1.5rem !important;
  max-width: 95% !important;
}

.input-group-append {
  margin-left: 5% !important;
  float: right !important;
  border-radius: 100% !important;
  border: 1px solid $color-neutral-lighter !important;
  background-color: $color-neutral-lighter !important;
}*/

.bb-icon .bb-icon-calendar-today .bb-icon--md {
  color: $color-secondary !important;
}

input {
  // outline: 0;
  &.form-control {
    //border-radius: 0.5rem !important;
  }
}

// TODO: KRAJ PROVJERI

.nlb-processes-card-body-shadow {
  // box-shadow: 0px 4px 9px 0px rgba(0, 0, 0, 0.1) !important;
  box-shadow: 0 0 1px 0 rgba(9, 30, 66, 0.31), 0 4px 8px -2px rgba(9, 30, 66, 0.25) !important;
}

.nlb-processes-btn-unstyled {
  color: black !important;
}

// TODO: PROVJERI

.bb-input-datepicker__calendar-opener-button.btn-link {
  background: transparent !important;
  border: none;
}

/*.ngb-datepicker.dropdown-menu.show {
  transform: translate(0px, 40px) !important;
}*/

.bb-dropdown__select {
  border-radius: 1rem !important;
}

/*.input-group .bb-input-datepicker {
  border-radius: 1rem !important;
}*/

.bb-input-radio-group__radio-label {
  color: black !important;
}

.bb-dropdown__icon {
  height: calc(1.5em + 0.5rem) !important;
}

.bb-icon--md.bb-icon__background {
  padding-top: 4px !important;
}

// TODO: KRAJ PROVJERI

.nlb-proccess-bottom-align {
  position: absolute;
  bottom: 0;
  right: 0;
}

.nlb-proccess-width-calendar-input {
  $input-width: 85%;
  $input-width-small: 75%;
  width: $input-width;
  @include media-breakpoint-down(md) {
    width: $input-width-small;
  }
}

.nlb-proccess-light-green-circle-background {
  background: rgba(141, 185, 23, 0.21);
  padding: 15px;
  border-radius: 50%;
}

.nlb-proccess-light-blue-circle-background {
  background: #e0ecff;
  padding: 15px;
  border-radius: 50%;
  color: #0037bd;
}

.nlb-processes-dark-grey-text {
  color: $nlbDarkGreyColor;
}

.nlb-processes-light-grey-circle-background {
  background: $navigationDarkerGray;
  padding: 30px;
  border-radius: 50%;
}

.nlb-processes-otp-input {
  border-left: none !important;
  border-top: none !important;
  border-right: none !important;
  border-bottom: solid $nlbIndigoColor 2px !important;
}

.nlb-processes-containter-250 {
  min-height: 150px !important;
}

.nlb-processes-part-30 {
  min-height: 30% !important;
}
.nlb-processes-part-70 {
  min-height: 70% !important;
}

.nlb-processes-error-message {
  color: red !important;
  display: block !important;
}

table.nlb-processes-table {
  width: 100%;
  border: 1px solid black;
}

.nlb-processes-table th,
.nlb-processes-table td {
  padding: 5px;
  text-align: left;
  border: 1px solid black;
  border-collapse: collapse;
}

.gradual-savings-paragraph {
  color: #373a3f;
  margin-left: 3px;
}

.insufficient-funds {
  width: 24px;
}

.error-text-insufficient-funds {
  display: flex;
  align-items: center;
  justify-content: center;
  p {
    color: #e2535c;
    font-family: Roboto;
    font-size: 14px;
    letter-spacing: 0;
    margin: 0px !important;
  }
}

.account-selected {
  // background-color: $navigationLightGray;
  background-color: white !important;
}
